Share Domain

Share Domain
Share a domain

This endpoint shares an organization-scoped domain to other organizations specified by a list of organization guids. This will allow any of the other organizations to use the organization-scoped domain.

Request
URI
POST
https://api.example.local/v3/domains/{guid}/relationships/shared_organizations
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Request Body

List of organizations to share the domain with

{
    "data": [
        {
            "guid": "string"
        }
    ]
}
data
Optional

data

Authentication
This operation uses the following authentication methods.
Responses
200

Successfully shared domain

{
    "data": [],
    "items": {
        "guid": "string"
    }
}
array of data
data
Optional

data

object
items
Optional

items


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/v3/domains/{guid}/relationships/shared_organizations